Account
Get your account
Returns your email, verification state, active-report count, and the last stored Stripe status. This call does not contact Stripe. For a fresh Stripe check, use GET /api/stripe/status.
GET
/
api
/
me
Get your account
curl --request GET \
--url https://kalligator.com/api/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://kalligator.com/api/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kalligator.com/api/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uid": "<string>",
"email": "<string>",
"email_verified": true,
"active_reports": 123,
"active_limit": 123,
"stripe": {
"configured": true,
"status": "unconfigured",
"ready": true,
"checked_at": "<string>",
"detail": "<string>"
}
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}Authorizations
A Firebase ID token, or a Kalligator API key (kal_…).
Response
Successful Response
⌘I
Get your account
curl --request GET \
--url https://kalligator.com/api/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://kalligator.com/api/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kalligator.com/api/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uid": "<string>",
"email": "<string>",
"email_verified": true,
"active_reports": 123,
"active_limit": 123,
"stripe": {
"configured": true,
"status": "unconfigured",
"ready": true,
"checked_at": "<string>",
"detail": "<string>"
}
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}{
"detail": "<string>",
"code": "<string>",
"current": {
"id": "<string>",
"program_id": "<string>",
"program_name": "<string>",
"status": "draft",
"display_status": "<string>",
"title": "<string>",
"revision": 123,
"created_at": "<string>",
"updated_at": "<string>",
"submitted_at": "<string>",
"withdrawn_at": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": "<string>",
"attachments": {},
"submission": {
"submitted_at": "<string>",
"attachments": {},
"content": {
"title": "<string>",
"asset": "<string>",
"description": "<string>",
"cvss_vector": ""
},
"program": {
"policy_version": 123,
"name": "<string>",
"scope": "<string>",
"exclusions": "<string>",
"rules": "<string>",
"eligibility": "<string>",
"disclosure": "<string>",
"rewards": {}
},
"stripe": {
"status": "<string>",
"checked_at": "<string>"
}
},
"decision": {
"outcome": "accepted",
"at": "<string>",
"message": "<string>"
},
"payout": {
"status": "approving",
"amount_cents": 123,
"approved_at": "<string>",
"transferred_at": "<string>",
"received_at": "<string>",
"payout_failed_at": "<string>"
}
}
}